% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/gen-namespace-docs.R,
%   R/gen-namespace-examples.R, R/gen-namespace.R
\name{torch_adaptive_avg_pool1d}
\alias{torch_adaptive_avg_pool1d}
\title{Adaptive_avg_pool1d}
\usage{
torch_adaptive_avg_pool1d(self, output_size)
}
\arguments{
\item{self}{the input tensor}

\item{output_size}{the target output size (single integer)}
}
\description{
Adaptive_avg_pool1d
}
\section{adaptive_avg_pool1d(input, output_size) -> Tensor }{


Applies a 1D adaptive average pooling over an input signal composed of
several input planes.

See \code{\link[=nn_adaptive_avg_pool1d]{nn_adaptive_avg_pool1d()}} for details and output shape.
}

